Layout Setup of Page not working

2018-03-27 12:52 PM - Olaf Z.

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26445

Description

    -  create a new print layout

    -  at the layout-window, go to the first menu ("Anordnung" on my localized version, translates to arrangement maybe)

    -  go there to "Page Setup" 

    -  size is now A4, change that to something else

-> no effect, size stays at A4

    -  change from landscape to portrait

-> no effect, stays at landscape

Workaround

    -  right-click (context menu) over the page

    -  use "page properties" 

    -  change size or page orientation

-> everything works as expected

History

#1 - 2018-04-19 07:04 AM - Harrissou Santanna

I think the "Page setup" is for direct print paper size.

#2 - 2018-05-02 11:17 AM - Thomas HG

I think the "Page Setup" does not work at all (Windows 10). Page properties shows the correct settings!

Right know printing A3 landscape is not possible at all. You always get A4 portrait.

The only workaround I found is to export the Layout as pdf.

#3 - 2018-05-04 05:48 PM - Garth Fletcher

Same problem when running QGIS 3.0.2 under Mac OS X 10.12.6.

Using Ctrl-click (right-click) on page seems to be only way to access page properties.

P.S. "Layout" needs to be added to New Issue's list of Categories.

#4 - 2018-05-05 07:37 AM - Harrissou Santanna

- Category changed from Unknown to Map Composer/Printing

- Operating System deleted (Windows 7)
#5 - 2018-08-13 02:27 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in 3.2.2
